﻿@model List<SeatPlanner.Models.Seat>

@{
    ViewData["Title"] = "Home Page";
}

<h4 class="text-center">Booked / Available Seat(s)</h4>

<div class="seat_status_container">
    <div class='seat_status seat_status_available'></div>
    <span> - Available Seats</span> &nbsp;&nbsp;
    <div class='seat_status seat_status_booked'></div>
    <span> - Booked Seats</span>
</div>

<div class="row">
    @foreach (var item in Model)
    {
        <div class="col-xs-12 col-sm-4">
            <div class="@(@item.IsBooked ? "seat booked_seat" : "seat")">
                <div>
                    @Html.LabelFor(modelItem => item.SeatId, new { @class = "seat_label" }): @Html.DisplayFor(modelItem => item.SeatId)
                </div>
                <div>
                    @Html.LabelFor(modelItem => item.Floor, new { @class = "seat_label" }): @Html.DisplayFor(modelItem => item.Floor)
                </div>
                <div>
                    @Html.LabelFor(modelItem => item.Area, new { @class = "seat_label" }): @Html.DisplayFor(modelItem => item.Area)
                </div>
                <div>
                    @Html.LabelFor(modelItem => item.Details, new { @class = "seat_label" }): @Html.DisplayFor(modelItem => item.Details)
                </div>
                <div>
                    @Html.LabelFor(modelItem => item.IsBooked, new { @class = "seat_label" }): @(item.IsBooked ? "Booked" : "Available")
                </div>
                @if (item.IsBooked)
                {
                    <div>
                        @Html.LabelFor(modelItem => item.BookedUser, new { @class = "seat_label" }): @Html.DisplayFor(modelItem => item.BookedUser)
                    </div>
                }
                else
                {
                    <div>
                        <a href="#" onclick="bookSeat(event, this, @item.SeatId)">Click to Book Now</a>
                    </div>
                }
            </div>
        </div>
    }
</div>
@section Scripts {
    <script>
        function bookSeat(event, obj, seatId) {
        event.preventDefault();
        $.ajax({
            type: "POST",
            url: "@Url.Action("BookSeat")",
            data: { 'seatId': seatId },
            success: function (result) {
                if (!result.success) {
                    // Display error message if it fails
                    $(obj).replaceWith("<span class='label label-danger'>" + result.message + "</span>");
                } else {
                    // Refresh the page if it is success
                    window.location.href = window.location.href;
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                $(obj).replaceWith("<span class='label label-danger'>Error occured</span>");
            }
        });
    }
    </script>
}